E-MailRelay

Public Member Functions | List of all members
GStore::FileIterator Class Reference

A GStore::MessageStore::Iterator for GStore::FileStore. More...

Inheritance diagram for GStore::FileIterator:
[legend]
Collaboration diagram for GStore::FileIterator:
[legend]

## Public Member Functions
| FileIterator (FileStore &store, const G::Path &dir, bool lock)
| FileIterator (const FileIterator &)=delete
| FileIterator (FileIterator &&)=delete
FileIterator & | operator= (const FileIterator &)=delete
FileIterator & | operator= (FileIterator &&)=delete
Public Member Functions inherited from GStore::MessageStore::Iterator
virtual std::unique_ptr< StoredMessage > | next ()=0
| Returns the next stored message or a null pointer.
virtual | ~Iterator ()=default
| Destructor.

## Detailed Description

A GStore::MessageStore::Iterator for GStore::FileStore.

Definition at line 43 of file gfilestore.cpp.

## Constructor & Destructor Documentation

## ◆ FileIterator()

GStore::FileIterator::FileIterator | ( | FileStore & | store,
|  | const G::Path & | dir,
|  | bool | lock
| ) |  |

Definition at line 66 of file gfilestore.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gfilestore.cpp